const navs = [
  {
    title: "教研分析",
    name: "report",
    icon: "icon icon-report",
    children: [
      {
        title: "数据驾驶舱",
        name: "cockpit",
        icon: "el-icon-s-cooperation",
        children: [
          {
            title: "全校考试总览",
            router: "SchoolExam"
          },
          {
            title: "全校课程考试分析",
            router: "SchoolCourse"
          },
          {
            title: "全校教师各课堂成绩排名",
            router: "SchoolTeacherClassScore"
          }
        ]
      },
      {
        title: "学生",
        name: "student",
        icon: "el-icon-s-cooperation",
        children: [
          {
            title: "开课成绩查询",
            router: "TeachCollegeScore"
          },
          {
            title: "考查成绩查询",
            router: "InspectCollegeScore"
          },
          {
            title: "学生报告管理",
            router: "StudentReportManage"
          }
        ]
      },
      {
        title: "教师",
        name: "teacher",
        icon: "el-icon-s-cooperation",
        children: [
          {
            title: "教师各课堂成绩排名",
            router: "TeacherClassScore"
          },
          {
            title: "我的课堂成绩排名",
            router: "MyClassScore"
          },
          {
            title: "我的课堂考试分析",
            router: "MyClassExamView"
          }
        ]
      },
      {
        title: "课程",
        name: "course",
        icon: "el-icon-s-cooperation",
        children: [
          {
            title: "考查课程考试总览",
            router: "InspectCourseExamOverview"
          },
          {
            title: "考查课程考试分析",
            router: "InspectCourseExamAnalysis"
          },
          {
            title: "开课课程考试总览",
            router: "OwnerCourseExamOverview"
          },
          {
            title: "开课课程考试分析",
            router: "OwnerCourseExamAnalysis"
          },
          {
            title: "赋分办法",
            router: "AssignScoreAction",
            children: [
              {
                title: "赋分即时预览",
                router: "AssignScoreActionTry"
              }
            ]
          }
        ]
      }
    ]
  },
  {
    title: "基础配置",
    name: "base",
    icon: "icon icon-base",
    children: [
      {
        title: "用户管理",
        name: "user",
        icon: "el-icon-user-solid",
        children: [
          {
            title: "组织架构",
            router: "OrganizationManage"
          },
          {
            title: "用户管理",
            router: "UserManage"
          },
          {
            title: "角色管理",
            router: "RoleManage"
          }
        ]
      }
    ]
  }
];

export default navs;
